using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplicationWhileVsIf
{
    class Program
    {
        static void Main(string[] args)
        {
            string keimeno;
            Console.WriteLine("Χρησιμοποιώντας την if");
            goToIf:
                Console.Write("Εισάγεται ένα γράμμα: ");
                keimeno = Console.ReadLine();
                if (keimeno == "e")
                {
                    Console.Write("Έξοδος από το πρόγραμμα.");
                }
                else
                {
                    Console.WriteLine("Ο χρήστης πληκτρολόγησε το κείμενο " + keimeno); 
                    goto goToIf;
                }
            Console.ReadLine();
            Console.WriteLine("Χρησιμοποιώντας την While");
            keimeno = "";

            while (keimeno != "e")
            {
                Console.Write("Εισάγεται ένα γράμμα: ");
                keimeno = Console.ReadLine();
                Console.WriteLine("Ο χρήστης πληκτρολόγησε το κείμενο " + keimeno); 
            }
            Console.Write("Έξοδος από το πρόγραμμα.");
            Console.ReadLine();
        }
    }
}
